<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $view
 * @var int $page_number
 * @var \kernel\CgView $view
 */

use kernel\app_modules\view\models\View;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\widgets\IconBtn\IconBtnCreateWidget;
use kernel\widgets\IconBtn\IconBtnDeleteWidget;
use kernel\widgets\IconBtn\IconBtnEditWidget;
use kernel\widgets\IconBtn\IconBtnViewWidget;

$view->setTitle("Список view");
$view->setMeta([
    'description' => 'Список view системы'
]);

//Для использования таблицы с моделью, необходимо создать таблицу в базе данных
//$table = new ListEloquentTable(new EloquentDataProvider(View::class, [
//    'currentPage' => $page_number,
//    'perPage' => 8,
//    'params' => ["class" => "table table-bordered", "border" => "2"],
//    'baseUrl' => "/admin/view"
//]));


$table = new \Itguild\Tables\ListJsonTable(json_encode(
    [
        'meta' => [
            'total' => 0,
            'totalWithFilters' => 0,
            'columns' => [
                'title',
                'slug',
                'status',
            ],
            'perPage' => 5,
            'currentPage' => 1,
            'baseUrl' => '/admin/some',
            'params' => [
                'class' => 'table table-bordered',
                'border' => 2
            ]
        ],
        'filters' => [],
        'data' => [],
    ]
));

// Пример фильтра
$table->columns([
    'title' => [
        'filter' => [
            'class' => \Itguild\Tables\Filter\InputTextFilter::class,
            'value' => $get['title'] ?? ''
        ]
    ],
]);

$table->beforePrint(function () {
    return IconBtnCreateWidget::create(['url' => '/admin/view/create'])->run();
});

$table->addAction(function($row) {
    return IconBtnViewWidget::create(['url' => '/admin/view/view/' . $row['id']])->run();
});
$table->addAction(function($row) {
    return IconBtnEditWidget::create(['url' => '/admin/view/update/' . $row['id']])->run();
});
$table->addAction(function($row) {
    return IconBtnDeleteWidget::create(['url' => '/admin/view/delete/' . $row['id']])->run();
});
$table->create();
$table->render();